<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'SupportHero',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>
<template>
  <section class="support-hero slp-my-64 slp-my-md-96">
    <SlpTypography
      class="support-hero__title slp-mb-32"
      tag="h1"
      variant="heading1-bold"
      >{{ data.title }}</SlpTypography
    >
    <SlpHorizontalRule />
    <SlpTypography
      v-if="data.content"
      class="support-hero__content"
      tag="h4"
      variant="heading4"
      v-html="data.content"
    ></SlpTypography>
  </section>
</template>

<style scoped lang="scss">
.support-hero {
  hr {
    margin: $spacing-48 0;
  }

  &__title {
    font-size: $text-heading-1;
    line-height: $line-height-heading-1;
  }

  &__title,
  &__content {
    @media (min-width: $breakpoint-md) {
      max-width: 85%;
    }
  }
}
</style>
